Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.page
Class MenuBackingContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.BackingContext
              com.bea.netuix.servlets.controls.page.MenuBackingContext

All Implemented Interfaces
  Serializable

    public class MenuBackingContext

extends BackingContext

See Also
  Serialized Form

Method Summary
`String` | `getAlign()`
`BookBackingContext` | `getBookBackingContext()` may return null.
`String` | `getDescription()`
`String` | `getMarkupName()`
`String` | `getMarkupType()`
`static MenuBackingContext` | `getMenuBackingContext(javax.servlet.http.HttpServletRequest request)` Obtain a reference to the current `MenuBackingContext` in the request.
`String` | `getTitle()`
`void` | `setAlign(String align)`

Methods inherited from class com.bea.netuix.servlets.controls.BackingContext
`ensureCurrentLifecycleStageLegalForOperation, getChildrenBackingContexts, getParentBackingContext, getParsedProperties, getProperties, getProperty, getProperty, getSendRedirectPath, getTopParentBackingContext, isBackingPhase, isVisible, sendRedirect, setBackingPhase, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMenuBackingContext

    public static MenuBackingContext getMenuBackingContext(javax.servlet.http.HttpServletRequest request)

  Obtain a reference to the current `MenuBackingContext` in the request. Note: the MenuBackingContext should only be obtained from a backing file. If you think you need this context from a JSP look at MenuPresentationContext.

  Parameters
    `request` - http servlet request.
  Returns
    a refence to the MenuBackingContext or null if none exist.

### getBookBackingContext

    public BookBackingContext getBookBackingContext()

  may return null.

### getAlign

    public String getAlign()

### setAlign

    public void setAlign(String align)

### getMarkupName

    public String getMarkupName()

### getMarkupType

    public String getMarkupType()

### getTitle

    public String getTitle()

### getDescription

    public String getDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved